package ru.yandex.webmaster3.storage.sitemap.service.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.webmaster3.core.data.HttpResponsePart;

/**
 * @author: ishalaru
 * DATE: 21.05.2019
 */
public class AnalyzeSitemapErrorTransfer {
    private final AnalyzeSitemapErrorType analyzeSitemapErrorType;
    private final HttpResponsePart httpResponsePart;


    public AnalyzeSitemapErrorTransfer(@JsonProperty("analyzeSitemapErrorType") AnalyzeSitemapErrorType analyzeSitemapErrorType,
                                       @JsonProperty("httpResponsePart") HttpResponsePart httpResponsePart) {
        this.analyzeSitemapErrorType = analyzeSitemapErrorType;
        this.httpResponsePart = httpResponsePart;
    }

    public AnalyzeSitemapErrorType getAnalyzeSitemapErrorType() {
        return analyzeSitemapErrorType;
    }

    public HttpResponsePart getHttpResponsePart() {
        return httpResponsePart;
    }
}
